Bug 181731 - ICE (lhd_set_decl_assembler_name, at langhooks.c:165) building OpenAFS
ICE (lhd_set_decl_assembler_name, at langhooks.c:165) building OpenAFS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-15 20:18 EST by Nalin Dahyabhai
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.1.0-0.29
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-20 13:21:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed input file (181.56 KB, text/plain)
2006-02-15 20:18 EST, Nalin Dahyabhai
no flags Details
patch to ensure that $RPM_OPT_FLAGS are applied last, so that flags which affect optimization will be able to override OpenAFS's defaults (287 bytes, patch)
2006-02-16 18:30 EST, Nalin Dahyabhai
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 26334 None None None Never

  None (edit)
Description Nalin Dahyabhai 2006-02-15 20:18:47 EST
Description of problem:
Building OpenAFS 1.4.1 rc7 with optimization on i386 triggers an internal
compiler error.

Version-Release number of selected component (if applicable):
4.1.0-0.27 (binutils 2.16.91.0.6-1, if that's useful)

How reproducible:
Always

Steps to Reproduce:
1. gcc -c -O openafs-1_4_1-rc7-src_ubik_vote.c
  
Actual results:
vote.c: In function ‘SVOTE_XSDebug’:
vote.c:364: internal compiler error: in lhd_set_decl_assembler_name, at
langhooks.c:165
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccNGUWvB.out file, please attach this to
your bugreport.

Expected results:
Successful compile.

Additional info:
Turning off optimization prevents the ICE from being triggered.
Comment 1 Nalin Dahyabhai 2006-02-15 20:18:47 EST
Created attachment 124730 [details]
preprocessed input file
Comment 2 William Murray 2006-02-16 05:34:00 EST
OT: I used 
./configure --enable-transarc-paths
--with-linux-kernel-headers=/lib/modules/`uname -r`/build
--disable-optimize-kernel  --disable-optimize
and still hit this bug. how did you turn off optimisaztion please?
Comment 3 Nalin Dahyabhai 2006-02-16 18:30:55 EST
Created attachment 124796 [details]
patch to ensure that $RPM_OPT_FLAGS are applied last, so that flags which affect optimization will be able to override OpenAFS's defaults

William, I applied this patch, and then made sure to run regen.sh from the top
level.

Note You need to log in before you can comment on or make changes to this bug.